Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Mon, 29 Mar 2021 11:33:02 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Michael Welsh Duggan <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>,
>>         "[email-masked]"
>>  <[email-masked]>,
>>         "[email-masked]" <[email-masked]>
>> Date: Mon, 29 Mar 2021 11:21:05 -0400
>> 
>> 2) From the *Group* buffer I hit `C-g` to cancel its attempt, and `^` to
>>    switch to the Gnus *Sever* buffer.
>> 3) In that buffer I go to the imap connection and type `C O`, which runs
>>    `gnus-server-close-server` and `gnus-server-open-server`,
>>    respectively.
>> 4) I type `q` to exit the server buffer.  This is when the breakpoint
>>    triggers.
>
> Breakpoint or segfault?

Breakpoint on the `error` clause that Martin asked me to add to
`set_buffer_internal_2`.

>> `g` calls the following function:
>> 
>>     (defun gnus-server-exit ()
>>       "Return to the group buffer."
>>       (interactive nil gnus-server-mode)
>>       (gnus-run-hooks 'gnus-server-exit-hook)
>>       (gnus-kill-buffer (current-buffer))
>
> What is current-buffer at this point?

#<buffer *Server*>

-- 
Michael Welsh Duggan
([email-masked])